MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - r -

- R_OK : nt-base.h
- RadialBlurImage() : effect.c , effect.h
- RadialBlurImageChannel() : effect.c , effect.h
- RadialGradient : draw.h
- RadiansToDegrees() : image-private.h
- RaiseCommand : display.c
- RaiseImage() : decorate.c , decorate.h
- RaiseImageTag : decorate.c
- RaisePreview : effect.h
- random_info : random.c
- random_semaphore : random.c
- RandomChannelThresholdImage() : deprecate.h , deprecate.c
- RandomChannelThresholdImageText : deprecate.c
- RandomInfo : random.c
- RandomNoise : effect.h
- RandomThresholdImage() : threshold.c , threshold.h
- RandomThresholdImageChannel() : threshold.c , threshold.h
- RandomVirtualPixelMethod : cache-view.h
- RandomX() : cache.c
- RandomY() : cache.c
- ReacquireMemory() : deprecate.c , deprecate.h
- read : nt-base.h
- ReadBinaryBlobMode : blob-private.h
- ReadBlob() : blob.c , blob-private.h
- ReadBlobByte() : blob-private.h , blob.c
- ReadBlobDouble() : blob-private.h , blob.c
- ReadBlobFloat() : blob-private.h , blob.c
- ReadBlobLong() : blob-private.h , blob.c
- ReadBlobLongLong() : blob-private.h , blob.c
- ReadBlobLSBLong() : blob-private.h , blob.c
- ReadBlobLSBShort() : blob-private.h , blob.c
- ReadBlobMode : blob-private.h
- ReadBlobMSBLong() : blob-private.h , blob.c
- ReadBlobMSBShort() : blob-private.h , blob.c
- ReadBlobShort() : blob-private.h , blob.c
- ReadBlobStream() : blob.c
- ReadBlobString() : blob-private.h , blob.c
- ReadCacheIndexes() : cache.c
- ReadCachePixels() : cache.c
- ReadCacheRegion() : cache.c
- ReadCommandlLine : studio.h
- readdir : nt-base.h , mac.h , vms.h
- ReadImage() : constitute.c , constitute.h
- ReadImages() : constitute.c
- ReadInlineImage() : constitute.c , constitute.h
- ReadMode : blob.h
- ReadPICTImage() : mac.h
- ReadProfileByte() : profile.c
- ReadProfileLong() : profile.c
- ReadProfileShort() : profile.c
- ReadPropertyByte() : property.c
- ReadPropertyLong() : property.c
- ReadPropertyMSBLong() : property.c
- ReadPropertyMSBShort() : property.c
- ReadPropertyShort() : property.c
- ReadStream() : stream.c , stream.h
- RealPixelPacket : pixel-private.h
- Rec601LumaColorspace : colorspace.h
- Rec601YCbCrColorspace : colorspace.h
- Rec709LumaColorspace : colorspace.h
- Rec709YCbCrColorspace : colorspace.h
- RecolorImage() : fx.c , fx.h
- RecolorImageTag : fx.c
- RectangleInfo : geometry.h
- RectanglePrimitive : draw.h
- RectifyCopyCommand : display.c
- RectifyDismissCommand : display.c
- RectifyHelpCommand : display.c
- Red : segment.c
- red_gamma : xwindow.c
- RedChannel : magick-type.h
- RedoCommand : display.c
- RedQuantum : quantum.h
- RedrawActionState : widget.c
- RedrawListState : widget.c
- RedrawWidgetState : widget.c
- Reduce() : quantize.c
- ReduceImageColors() : quantize.c
- ReduceImageTag : quantize.c
- ReduceNoiseCommand : display.c
- ReduceNoiseImage() : effect.c , effect.h
- ReduceNoiseImageTag : effect.c
- ReduceNoisePreview : effect.h
- ReferenceBlack : colorspace.c
- ReferenceBlob() : blob-private.h , blob.c
- ReferenceCache() : cache-private.h , cache.c
- ReferenceImage() : image.c , image.h
- ReferenceType : draw.h
- ReferenceWhite : colorspace.c
- ReflectSpread : draw.h
- RefreshCommand : display.c
- RegionofInterestCommand : display.c
- RegisterARTImage() : static.h
- RegisterAVIImage() : static.h
- RegisterAVSImage() : static.h
- RegisterBIEImage() : static.h
- RegisterBMPImage() : static.h
- RegisterCAPTIONImage() : static.h
- RegisterCINImage() : static.h
- RegisterCIPImage() : static.h
- RegisterCLIPBOARDImage() : static.h
- RegisterCLIPImage() : static.h
- RegisterCMYKImage() : static.h
- RegisterCUTImage() : static.h
- RegisterDCMImage() : static.h
- RegisterDCXImage() : static.h
- RegisterDIBImage() : static.h
- RegisterDJVUImage() : static.h
- RegisterDNGImage() : static.h
- RegisterDPSImage() : static.h
- RegisterDPXImage() : static.h
- RegisterEMFImage() : static.h
- RegisterEPDFImage() : static.h
- RegisterEPIImage() : static.h
- RegisterEPS2Image() : static.h
- RegisterEPSFImage() : static.h
- RegisterEPSIImage() : static.h
- RegisterEPSImage() : static.h
- RegisterEPTImage() : static.h
- RegisterEXRImage() : static.h
- RegisterFAXImage() : static.h
- RegisterFITSImage() : static.h
- RegisterFPXImage() : static.h
- RegisterG3Image() : static.h
- RegisterGIF87Image() : static.h
- RegisterGIFImage() : static.h
- RegisterGRADIENTImage() : static.h
- RegisterGRANITEImage() : static.h
- RegisterGRAYImage() : static.h
- RegisterHImage() : static.h
- RegisterHISTOGRAMImage() : static.h
- RegisterHTMImage() : static.h
- RegisterHTMLImage() : static.h
- RegisterICBImage() : static.h
- RegisterICONImage() : static.h
- RegisterINFOImage() : static.h
- RegisterIPLImage() : static.h
- RegisterJBGImage() : static.h
- RegisterJBIGImage() : static.h
- RegisterJP2Image() : static.h
- RegisterJPEGImage() : static.h
- RegisterJPGImage() : static.h
- RegisterLABELImage() : static.h
- RegisterMAGICKImage() : static.h
- RegisterMagickInfo() : magick.c , magick.h
- RegisterMagickSignalHandler() : magick.c
- RegisterMAPImage() : static.h
- RegisterMATImage() : static.h
- RegisterMATTEImage() : static.h
- RegisterMETAImage() : static.h
- RegisterMIFFImage() : static.h
- RegisterMNGImage() : static.h
- RegisterModule() : module.c
- RegisterMONOImage() : static.h
- RegisterMPCImage() : static.h
- RegisterMPEGImage() : static.h
- RegisterMPRImage() : static.h
- RegisterMSLImage() : static.h
- RegisterMTVImage() : static.h
- RegisterMVGImage() : static.h
- RegisterNETSCAPEImage() : static.h
- RegisterNULLImage() : static.h
- RegisterOTBImage() : static.h
- RegisterP7Image() : static.h
- RegisterPALMImage() : static.h
- RegisterPATTERNImage() : static.h
- RegisterPBMImage() : static.h
- RegisterPCDImage() : static.h
- RegisterPCDSImage() : static.h
- RegisterPCLImage() : static.h
- RegisterPCTImage() : static.h
- RegisterPCXImage() : static.h
- RegisterPDBImage() : static.h
- RegisterPDFImage() : static.h
- RegisterPGMImage() : static.h
- RegisterPICImage() : static.h
- RegisterPICTImage() : static.h
- RegisterPIXImage() : static.h
- RegisterPLASMAImage() : static.h
- RegisterPMImage() : static.h
- RegisterPNGImage() : static.h
- RegisterPNMImage() : static.h
- RegisterPPMImage() : static.h
- RegisterPREVIEWImage() : static.h
- RegisterPS2Image() : static.h
- RegisterPS3Image() : static.h
- RegisterPSDImage() : static.h
- RegisterPSImage() : static.h
- RegisterPTIFImage() : static.h
- RegisterPWPImage() : static.h
- RegisterRASImage() : static.h
- RegisterRAWImage() : static.h
- RegisterRGBAImage() : static.h
- RegisterRGBImage() : static.h
- RegisterRLAImage() : static.h
- RegisterRLEImage() : static.h
- RegisterSCRImage() : static.h
- RegisterSCTImage() : static.h
- RegisterSFWImage() : static.h
- RegisterSGIImage() : static.h
- RegisterSHTMLImage() : static.h
- RegisterStaticModules() : module.h , static.c
- RegisterSTEGANOImage() : static.h
- RegisterSUNImage() : static.h
- RegisterSVGImage() : static.h
- RegisterTEXTImage() : static.h
- RegisterTGAImage() : static.h
- RegisterTHUMBNAILImage() : static.h
- RegisterTIFFImage() : static.h
- RegisterTIFImage() : static.h
- RegisterTILEImage() : static.h
- RegisterTIMImage() : static.h
- RegisterTTFImage() : static.h
- RegisterTXTImage() : static.h
- RegisterUILImage() : static.h
- RegisterURLImage() : static.h
- RegisterUYVYImage() : static.h
- RegisterVDAImage() : static.h
- RegisterVICARImage() : static.h
- RegisterVIDImage() : static.h
- RegisterVIFFImage() : static.h
- RegisterVSTImage() : static.h
- RegisterWBMPImage() : static.h
- RegisterWMFImage() : static.h
- RegisterWPGImage() : static.h
- RegisterXBMImage() : static.h
- RegisterXCFImage() : static.h
- RegisterXCImage() : static.h
- RegisterXImage() : static.h
- RegisterXPMImage() : static.h
- RegisterXPSImage() : static.h
- RegisterXTRNImage() : static.h
- RegisterXVImage() : static.h
- RegisterXWDImage() : static.h
- RegisterYCBCRImage() : static.h
- RegisterYUVImage() : static.h
- registry : registry.c
- RegistryError : exception.h
- RegistryFatalError : exception.h
- RegistryInfo : registry.c
- RegistryType : registry.h
- RegistryWarning : exception.h
- RelativeIntent : profile.h
- RelinquishCachePixels() : cache.c
- RelinquishMagickMatrix() : matrix.c , matrix.h
- RelinquishMagickMemory() : memory.c , memory_.h
- RelinquishMagickResource() : resource.c , resource_.h
- RelinquishNexusPixels() : cache.c
- RelinquishSemaphoreInfo() : semaphore.h , semaphore.c
- RelinquishStreamPixels() : stream.c
- RelinquishUniqueFileResource() : resource.c , resource_.h
- RemoteDisplayCommand() : display.c , display.h
- RemoveDuplicateLayers() : layer.c , layer.h
- RemoveDupsLayer : layer.h
- RemoveElementByValueFromLinkedList() : hashmap.c , hashmap.h
- RemoveElementFromLinkedList() : hashmap.h , hashmap.c
- RemoveEntryFromHashmap() : hashmap.c , hashmap.h
- RemoveFirstImageFromList() : list.h , list.c
- RemoveImageArtifact() : artifact.c , artifact.h
- RemoveImageFromList() : list.c , list.h
- RemoveImageOption() : option.h , option.c
- RemoveImageProfile() : profile.h , profile.c
- RemoveImageProperty() : property.h , property.c
- RemoveImageRegistry() : registry.h , registry.c
- RemoveLastElementFromLinkedList() : hashmap.h , hashmap.c
- RemoveLastImageFromList() : list.h , list.c
- RemoveNodeByValueFromSplayTree() : splay-tree.c , splay-tree.h
- RemoveNodeFromSplayTree() : splay-tree.h , splay-tree.c
- RemoveZeroDelayLayers() : layer.c , layer.h
- RemoveZeroLayer : layer.h
- RenderFreetype() : annotate.c
- RenderImageTag : draw.c
- RenderingIntent : profile.h
- RenderPostscript() : annotate.c
- RenderType() : annotate.c
- RenderX11() : annotate.c
- RepeatAnimationState : animate.c
- RepeatCommand : animate.c
- RepeatSpread : draw.h
- ReplaceCompositeOp : composite.h
- ReplaceImageInList() : list.c , list.h
- ReplaceMethod : draw.h
- ResampleFilter : resample.h
- ResampleImage() : resize.c , resize.h
- ResampleImageTag : resize.c
- ResamplePixelColor() : resample.c , resample.h
- reservoir : random.c
- ResetAlphaChannel : image.h
- ResetButtonText : widget.c
- ResetHashmapIterator() : hashmap.h , hashmap.c
- ResetImageArtifactIterator() : artifact.c , artifact.h
- ResetImageAttributeIterator() : deprecate.h , deprecate.c
- ResetImageOptionIterator() : option.h , option.c
- ResetImagePage() : image.h , image.c
- ResetImageProfileIterator() : profile.c , profile.h
- ResetImagePropertyIterator() : property.h , property.c
- ResetImageRegistryIterator() : registry.h , registry.c
- ResetLinkedListIterator() : hashmap.c , hashmap.h
- ResetMagickMemory() : memory_.h , memory.c
- ResetMedianList() : effect.c
- ResetMethod : draw.h
- ResetSplayTreeIterator() : splay-tree.c , splay-tree.h
- ResetStringInfo() : string.c , string_.h
- ResetTimer() : timer.h , timer.c
- ResizeCommand : display.c
- ResizeFilter : resize-private.h
- ResizeImage() : resize.c , resize.h
- ResizeImageTag : resize.c
- ResizeMagickMemory() : memory.c , memory_.h
- ResizeQuantumMemory() : memory.c , memory_.h
- ResolutionOptions : option.c
- ResolutionType : image.h
- resource_info : resource.c
- resource_semaphore : resource.c
- ResourceEvent : log.h
- ResourceInfo : resource.c
- ResourceLimitError : exception.h
- ResourceLimitFatalError : exception.h
- ResourceLimitWarning : exception.h
- ResourceOptions : option.c
- ResourceType : resource_.h
- RestoreCommand : display.c
- ReverseCommand : animate.c
- ReverseImageList() : list.h , list.c
- ReversePoints() : draw.c
- RGBAQuantum : quantum.h
- RGBColorspace : colorspace.h
- RGBOQuantum : quantum.h
- RGBQuantum : quantum.h
- RGBTransformImage() : colorspace.h , colorspace.c
- RGBTransformImageTag : colorspace.c
- RhoValue : geometry.h
- RightAlign : draw.h
- RightBottomOrientation : image.h
- RightShiftEvaluateOperator : fx.h
- RightShiftOperator : fx.c
- RightTopOrientation : image.h
- RLECompression : compress.h
- RoiDelta : display.c
- ROIDismissCommand : display.c
- ROIHelpCommand : display.c
- RollCommand : display.c
- RollImage() : transform.c , transform.h
- RollImageTag : transform.c
- RollPreview : effect.h
- RootMeanSquaredErrorMetric : compare.h
- RootPath : utility.h
- RotateColorCommand : display.c
- RotateCommand : display.c
- RotateCropCommand : display.c
- RotateDirectionCommand : display.c
- RotateDismissCommand : display.c
- RotateHelpCommand : display.c
- RotateImage() : shear.h , shear.c
- RotateImageTag : shear.c
- RotateLeftCommand : display.c
- RotatePreview : effect.h
- RotateRight() : signature.c
- RotateRightCommand : display.c
- RotateSharpenCommand : display.c
- roulette : random.c
- RoundCap : draw.h
- RoundJoin : draw.h
- RoundRectanglePrimitive : draw.h
- RoundToQuantum() : quantum.h
- RoundToUnity() : composite-private.h
- RoundToYCC() : colorspace.c
- RunlengthEncodedCompression : deprecate.h
- RunningTimerState : timer.h
- RW_OK : nt-base.h